# $Revision: 1.13 $, $Date: 2004/11/12 18:41:50 $
Summary:	Tangram puzzle
Summary(pl):	Ukadanka - tangramy
Name:		gtans
Version:	1.2
Release:	1
License:	GPL
Group:		X11/Applications/Games
Source0:	http://dl.sourceforge.net/gtans/%{name}-%{version}.tar.gz
# Source0-md5:	067d8bd1d5534b39316bdb4e689a6c40
Source1:	%{name}.desktop
URL:		http://gtans.sourceforge.net/
BuildRequires:	gtk+-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_datadir	%{_prefix}/share/gtans

%description
The Tangram is a chinese puzzle. The object is to put seven geometric
shapes together so as to form a given outline. All the pieces must be
used and are laid next to one another. The pieces are five triangles,
a square and a parallelogram.

%description -l pl
Tangramy to chiska ukadanka. Celem gry jest uoenie siedmiu figur
geometrycznych tak, by uzyska zadany ksztat. Wszystkie kawaki musz
zosta uyte oraz uoone obok siebie. Dostpne figury to pi
trjktw, kwadrat i rwnolegobok.

%prep
%setup -q

%build
sed -e 's@-O2 -Wall@%{rpmcflags}@;s@gcc@%{__cc}@;s@-lm@& %{rpmldflags}@' \
	makefile > m.new
mv -f m.new makefile

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_desktopdir},%{_mandir}/man6}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

mv -f $RPM_BUILD_ROOT/usr/man/man6/* $RPM_BUILD_ROOT%{_mandir}/man6

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}
install misc/gtans_icon.png $RPM_BUILD_ROOT%{_pixmapsdir}/gtans.png

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man6/*
%dir %{_datadir}
%{_datadir}/figures
%{_datadir}/pixmaps
%{_datadir}/gtansrc
%{_datadir}/gtanshelp.txt
%lang(es) %{_datadir}/gtanshelpes.txt
%lang(fr) %{_datadir}/gtanshelpfr.txt
%lang(pl) %{_datadir}/gtanshelppl.txt
%lang(ru) %{_datadir}/gtanshelpru.txt
%lang(uk) %{_datadir}/gtanshelpuk.txt
%{_pixmapsdir}/%{name}.png
%{_desktopdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gtans.spec,v $
Revision 1.13  2004/11/12 18:41:50  paladine
- fixed desktop file
- rel 1 (works ok for me)

Revision 1.12  2004/02/16 09:43:38  qboosh
- removed additional sources (already included in main) and some hacks
- switched to desktopdir

Revision 1.11  2004/02/15 23:11:44  adamg
- updated to 1.2

Revision 1.10  2003/08/18 08:08:10  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.9  2003/06/27 20:16:29  blues
- more macros and some cleanups - inpired by kloczek

Revision 1.8  2003/06/26 13:17:21  qboosh
- updated URLs

Revision 1.7  2003/05/28 12:59:01  malekith
- massive attack: source-md5

Revision 1.6  2003/05/25 05:48:29  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.5  2003/01/18 22:50:08  juandon
- removed two lines with define

Revision 1.4  2002/11/27 20:15:45  juandon
- new %%doc

Revision 1.3  2002/03/04 12:54:06  wolf
- description

Revision 1.2  2002/03/02 17:27:13  wolf
- updated to 1.1
- made polish translation

Revision 1.1  2002/02/28 09:24:41  wolf
- TODO: update to 1.1
